ALACRITTY(1)

NAME

Alacritty - A fast, cross-platform, OpenGL terminal emulator.

SYNOPSIS

Alacritty is a modern terminal emulator that comes with sensible defaults, but allows for extensive configuration. By integrating with other applications, rather than reimplementing their functionality, it manages to provide a flexible set of features with high performance.

FLAGS

-h, --help

    Prints help information.

--hold

    Remain open after child process exits.

--daemon

    Do not spawn an initial window.

--print-events

    Print all events to STDOUT.

-q

    Reduces the level of verbosity (the min level is -qq).

--ref-test

    Generates ref test

-v

    Increases the level of verbosity (the max level is -vvv).

-V, --version

    Prints version information.

OPTIONS

--class <GENERAL> | <GENERAL>,<INSTANCE>

    Defines the window class hint on Linux.

    When only the general class is passed, instance will be set to the same value.

    On Wayland the general class sets the app_id, while the instance class is ignored.

    Default: Alacritty,Alacritty

-e, --command <COMMAND>...

    Command and args to execute (must be last argument).

--config-file <CONFIG_FILE>

    Specify alternative configuration file.

    Alacritty doesn't create the config file for you, but it looks for one in the following locations on UNIX systems:

        1.  $XDG_CONFIG_HOME/alacritty/alacritty.toml
        2.  $XDG_CONFIG_HOME/alacritty.toml
        3.  $HOME/.config/alacritty/alacritty.toml
        4.  $HOME/.alacritty.toml
        5.  /etc/alacritty/alacritty.toml

    On Windows, the config file will be looked for in:

        1.  %APPDATA%\alacritty\alacritty.toml

--embed <PARENT>

    X11 window ID to embed Alacritty within (decimal or hexadecimal with 0x prefix).

-o, --option <OPTION>...

    Override configuration file options.

    Example: alacritty -o 'cursor.style="Beam"'

--socket <SOCKET>

    Path for IPC socket creation.

-T, --title <TITLE>

    Defines the window title.

    Default: Alacritty

--working-directory <WORKING_DIRECTORY>

    Start the shell in the specified working directory.

SUBCOMMANDS

msg

    Send IPC socket messages (see alacritty-msg(1)).

migrate

    Migrate the configuration file.

    -c, --config-file <CONFIG_FILE>

        Path to the configuration file.

    -d, --dry-run

        Only output TOML config to STDOUT.

    -i, --skip-imports

        Do not recurse over imports.

    --skip-renames

        Do not move renamed fields to their new location.

    -s, --silent

        Do not output to STDOUT.

    -h, --help

        Print help information.

SEE ALSO

alacritty-msg(1), alacritty(5), alacritty-bindings(5)

BUGS

Found a bug? Please report it at https://github.com/alacritty/alacritty/issues.

MAINTAINERS

•   Christian Duerr <contact@christianduerr.com>
•   Kirill Chibisov <contact@kchibisov.com>